# Uses of Class
org.jmol.adapter.smarter.AtomSetCollection

Packages that use AtomSetCollection
Package
Description
org.jmol.adapter.smarter
org.jmol.adapter.writers

## Uses of AtomSetCollection in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as AtomSetCollection
Modifier and Type
Field
Description
`AtomSetCollection`
AtomSetCollectionReader.`asc`
Methods in org.jmol.adapter.smarter with parameters of type AtomSetCollection
Modifier and Type
Method
Description
`void`
AtomSetCollection.`appendAtomSetCollection(int collectionIndex, AtomSetCollection collection)`
Appends an AtomSetCollection
`Atom`
Atom.`copyTo(P3 pt, AtomSetCollection asc)`
`protected int`
XtalSymmetry.FileSymmetry.`postSymmetrySetMagneticMoments(AtomSetCollection asc, boolean isCartesian)`
At the end, we need to rescale the vectors using SpinFramePp.
`protected void`
XtalSymmetry.FileSymmetry.`preSymmetryFinalizeMoments(AtomSetCollectionReader acr, AtomSetCollection asc, String spinFrameStr, String spinFrameExt)`
Scale the magnetic moments of magCIF and spinCIF files.
Constructors in org.jmol.adapter.smarter with parameters of type AtomSetCollection
Modifier
Constructor
Description
``
`AtomSetCollection(String fileTypeName, AtomSetCollectionReader reader, AtomSetCollection[] array, Lst<?> list)`

## Uses of AtomSetCollection in org.jmol.adapter.writers

Methods in org.jmol.adapter.writers with parameters of type AtomSetCollection
Modifier and Type
Method
Description
`static String`
CDXMLWriter.`fromASC(AtomSetCollection asc)`